<?php if (!defined('BASEPATH'))
    exit('No direct script access allowed');
class Tiles_contact_master extends CI_Controller {

    function __construct() {
        parent::__construct();
        $login_session=$this->session->userdata('logged_admin');
		if($login_session){
            $data['name'] = $login_session['name'];	
        }else{
            redirect('admin');
        }
        $this->load->model('comman_model');
        $this->comman = $this->comman_model->get_coman();
        $this->load->model('contact_model');
    }
   
    public function index(){
        $login_session = $this->session->userdata('logged_admin');
        if ($login_session) {
            $data['name'] = $login_session['name'];
            $id = $login_session['id'];
        }
        $data['comman'] = $this->comman;
        $this->load->library('pagination');
        $search = $this->input->get('search');
        $data['search'] = $search;
        if ($search != "") {
            $total_row = $this->contact_model->search_num($search);
            $config = array();
            $get = $_GET;
			unset($get['offset']);           
			$config["base_url"] = base_url() . "administrator/tiles_contact_master/index?". http_build_query($get);
            $config["total_rows"] = $total_row;
            $config["per_page"] = 3;
            $config["uri_segment"] = 3;
            $config['page_query_string'] = TRUE;
            $config['cur_tag_open'] = '<span>';
            $config['cur_tag_close'] = '</span>';
            $config['next_link'] = 'Next &rsaquo;';
            $config['prev_link'] = '&lsaquo; Previous';
            $config['page_query_string'] = TRUE;
            $this->pagination->initialize($config);
            $page = ($this->input->get("per_page")) ? $this->input->get("per_page") : 0;
            $data['query'] = $this->contact_model->list_search($search, $config["per_page"], $page);
            $data["links"] = $this->pagination->create_links();
            $data["counts"] = $page;
        } else {
            $search = "";
            $totalRows = $this->contact_model->search_num($search);
            $config = array();
            $config["base_url"] = base_url() . "administrator/tiles_contact_master/index/";
            $config["total_rows"] = $totalRows;
            $config["per_page"] = 3;
            $config["uri_segment"] = 3;
            $config['page_query_string'] = TRUE;
            $config['cur_tag_open'] = '<span>';
            $config['cur_tag_close'] = '</span>';
            $config['next_link'] = 'Next &rsaquo;';
            $config['prev_link'] = '&lsaquo; Previous';
            $this->pagination->initialize($config);
            $sort = $this->input->get("sort");
            $by = $this->input->get("by");
            $page = ($this->input->get("per_page")) ? $this->input->get("per_page") : 0;
            $data["query"] = $this->contact_model->list_search($search, $config["per_page"], $page);
            $data["links"] = $this->pagination->create_links();
            $data["counts"] = $page;
        }
        $this->load->view('admin/header', $data);
        $this->load->view('admin/nav', $data);
        $this->load->view('admin/ti_contact', $data);
        $this->load->view('admin/footer', $data);
    }
	
	 function delete($cid) {
        $data['query'] = $this->contact_model->update("tiles_contactus", array("id"=> $cid), array("status" => '0'));

        $this->session->set_flashdata("success", "Contact successfully deleted.");
        redirect("administrator/tiles_contact_master/", "refresh");
    }
}